<?php
/**
 * Alkivia Chameleon.
 * Archives page, for categories, tags, date, etc.
 *
 * @version		$Rev: 477 $
 * @author		Jordi Canals
 * @copyright   Copyright (C) 2009, 2010 Jordi Canals
 * @license		GNU General Public License version 2
 * @link		http://alkivia.org
 * @package		Alkivia
 * @subpackage	Chameleon
 *

	Copyright 2009, 2010 Jordi Canals <devel@jcanals.cat>

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	version 2 as published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

    get_header();
	if ( 'left' == ak_theme_option('sidebar-pos') ) {
        get_sidebar();
	}
    ?>

<div id="blogside">
	<?php if (have_posts() ) :
	    echo '<div id="archive">';
		if (is_category() ) {		// Category Archive
			printf(__('Category: %s', 'aktheme'), single_cat_title('', false));
		} elseif (is_tag() ) {		// Tag Archive
			printf(__('Tagged: %s', 'aktheme'), single_cat_title('', false));
		} elseif (is_day() ) { 		// Daily archive
			printf(__('Date: %s', 'aktheme'), get_the_time(get_option('date_format')));
		} elseif (is_month() ) {	// Monthly archive
			printf(__('Month: %s', 'aktheme'), get_the_time('F, Y'));
		} elseif (is_year() ) {		// Yearly archive
			printf(__('Year: %s', 'aktheme'), get_the_time('Y'));
		} elseif (is_author() ) {
			global $authordata;
			if(get_query_var('author_name')) :
				$authordata = get_userdatabylogin(get_query_var('author_name'));
			else :
				$authordata = get_userdata(get_query_var('author'));
			endif;
			printf(__('Author: %s', 'aktheme'), apply_filters('ak_chameleon_author', $authordata->display_name));
		} elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {	// Paged Archive
			printf(__('Archive of %s', 'aktheme'), get_bloginfo('name'));
		}
        echo '</div>';

		if ( STYLESHEETPATH !== TEMPLATEPATH && file_exists(STYLESHEETPATH . '/loop.php') ) {
            include (STYLESHEETPATH . '/loop.php');
		} else {
            include (TEMPLATEPATH . '/loop.php');
		}

	else : ?>
		<h1><?php _e('There is no content.', 'aktheme'); ?></h1>
		<h1><?php _e("Sorry, you're looking for something that's not here", 'aktheme'); ?></h1>
		<?php get_search_form(); ?>
	<?php endif; ?>
	<br />
</div> <!-- End Blogside -->

<?php
	if ( 'right' == ak_theme_option('sidebar-pos') ) {
        get_sidebar();
	}
	get_footer();
?>