<?php
/**
 * Alkivia Chameleon.
 * Manages comments for posts and pages.
 *
 * @version		$Rev: 477 $
 * @author		Jordi Canals
 * @copyright   Copyright (C) 2009, 2010 Jordi Canals
 * @license		GNU General Public License version 2
 * @link		http://alkivia.org
 * @package		Alkivia
 * @subpackage	Chameleon
 *

	Copyright 2009, 2010 Jordi Canals <devel@jcanals.cat>

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	version 2 as published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// Do not delete these lines
if (isset($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME'])) {
	die ('');	// Silence is gold.
}

if (!empty($post->post_password)) {	// if there's a password
	if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password)	// and it doesn't match the cookie
	{ ?>
		<p class="nocomments"><?php _e('This content is password protected. Fill the password to access this content.', 'aktheme')?></p>
		<?php
		return;
	}
}

if ( is_page() && ! ak_theme_option('allow-page-comments') ) {
	return;
}

?>

<div id="comments">
	<?php if ( have_comments() ) : ?>
		<h2><?php comments_number(__('No comments', 'aktheme'), __('One comment', 'aktheme'), __('% comments', 'aktheme')); ?>
		<?php ( is_page() ) ? _e('for this page', 'aktheme') : _e('for this post', 'aktheme'); ?></h2>

		<?php if ( get_option('page_comments') && get_comments_number() > get_option('comments_per_page') ) : ?>
			<div class="navigator">
				<div class="navleft"><?php previous_comments_link() ?></div>
				<div class="navright"><?php next_comments_link() ?></div>
			</div>
		<?php endif; ?>

		<ul class="commentlist">
			<?php wp_list_comments(); ?>
		</ul>

		<?php if ( get_option('page_comments') && get_comments_number() > get_option('comments_per_page') ) : ?>
			<div class="navigator bottom-navigator">
				<div class="navleft"><?php previous_comments_link() ?></div>
				<div class="navright"><?php next_comments_link() ?></div>
			</div>
		<?php endif; ?>

	<?php else : // this is displayed if there are no comments so far ?>

		<?php if ( ! comments_open() ) : ?>
			<p class="nocomments"><?php _e('Comments are closed.', 'aktheme')?></p>
		<?php endif; ?>

	<?php endif; ?>

	<?php if ( comments_open() )
	{ ?>
		<h2 id="respond"><?php comment_form_title( __('Leave a Reply', 'aktheme'), __('Leave a Reply to %s', 'aktheme') ); ?></h2>
		<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
			<p><?php printf(__('You have to <a href="%s">register</a> to add a comment.', 'aktheme'), get_option('siteurl') .'/wp-login.php?redirect_to='. get_permalink()) ?></p>
		<?php else :
			do_action('ak_chameleon_comments');
		?>
			<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="postform">
			<table width="90%" cellpadding="3" cellspacing="0" border="0">
			<?php if ( is_user_logged_in() )
			{ ?>
				<tr><td colspan="2">
					<p><?php _e('Logged in as', 'aktheme')?>
					<a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>&nbsp; |&nbsp;
					<a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout&amp;_wpnonce=<?php echo wp_create_nonce('log-out'); ?>"><?php _e('Logout', 'aktheme'); ?> &raquo;</a></p>
				</td></tr>
			<?php }
			else
			{ ?>
				<tr>
					<td align="right" nowrap="nowrap">
						<?php _e('Your name', 'aktheme'); ?>:
					</td><td align="left">
						<input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="35" tabindex="1" />&nbsp;
						<span class="info"><?php if ($req) _e('Required', 'aktheme'); ?></span>
					</td>
				</tr><tr>
					<td align="right" nowrap="nowrap">
						<?php _e('Email address', 'aktheme'); ?>:
					</td><td align="left">
						<input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="35" tabindex="2" />&nbsp;
						<span class="info"><?php if ($req) _e('Required', 'aktheme'); ?></span>
					</td>
				</tr><tr>
					<td align="right" nowrap="nowrap">
						<?php _e('Site URL', 'aktheme')?>:
					</td><td align="left">
						<input type="text" name="url" id="openid_url" value="<?php echo $comment_author_url; ?>" size="35" tabindex="3" />
						<?php if ( function_exists('openid_input') ) { ?>
							<span class="info">
							<a href="http://openid.net" target="_blank"><?php _e('OpenID enabled', 'aktheme'); ?></a>
							</span>
						<?php } ?>
					</td>
				</tr>
			<?php } ?>
				<tr>
					<td align="right" valign="top" nowrap="nowrap">
						<?php _e('Your comment', 'aktheme'); ?>:
					</td><td align="left">
						<textarea name="comment" id="comment" cols="40" rows="10" tabindex="4"></textarea>
				</td></tr>
				<tr>
					<td>&nbsp;</td>
					<td align="left">
						<input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Send Comment', 'aktheme'); ?>" />
						<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
					</td>
				</tr>
			</table>

			<?php
				comment_id_fields();
				do_action('comment_form', $post->ID); ?>
			</form>
		<?php endif;
	} ?>
</div> <!--  End Comments -->
