<?php
/**
Template Name: Widgetized Home

 * Alkivia Chameleon.
 * Widgetized Homepage.
 *
 * @version		$Rev: 896 $
 * @author		Jordi Canals
 * @copyright   Copyright (C) 2009, 2010 Jordi Canals
 * @license		GNU General Public License version 2
 * @link		http://alkivia.org
 * @package		Alkivia
 * @subpackage	Chameleon
 *

	Copyright 2009, 2010 Jordi Canals <devel@jcanals.cat>

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	version 2 as published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

get_header();
if ( 'left' == ak_theme_option('sidebar-pos') ) {
    get_sidebar();
}

//  TODO: Some other widgets to customize the home page.

$q_sticky = get_option('sticky_posts');
if ( ! empty($q_sticky) ) {
	$q_args = array('post__in' => $q_sticky);
    query_posts($q_args);
}
?>

<div id="home-main">
	<?php
	do_action('ak_chameleon_whome_before');

	if ( ! empty($q_sticky) ) {
		if ( STYLESHEETPATH !== TEMPLATEPATH && file_exists(STYLESHEETPATH . '/loop.php') ) {
            include (STYLESHEETPATH . '/loop.php');
		} else {
            include (TEMPLATEPATH . '/loop.php');
		}
	}
	?>
	<div id="home">
		<?php do_action('ak_chameleon_whome_top'); ?>

		<div id="home-top-wide">
		<?php if ( ak_theme_is_sidebar('home_top') ) : ?>
			<ul>
				<?php dynamic_sidebar('home_top'); ?>
			</ul>
		<?php endif; ?>
		</div>

		<?php do_action('ak_chameleon_whome_middle'); ?>

		<div id="home-left">
		<?php if ( ak_theme_is_sidebar('home_left') ) : ?>
			<ul>
				<?php dynamic_sidebar('home_left'); ?>
			</ul>
	    <?php endif; ?>
		</div>

		<div id="home-right">
		<?php if ( ak_theme_is_sidebar('home_right') ) : ?>
			<ul>
				<?php dynamic_sidebar('home_right'); ?>
			</ul>
		<?php endif; ?>
		</div>

		<?php do_action('ak_chameleon_whome_bottom'); ?>

	</div> <!-- End Home -->
	<br />
</div> <!-- End BlogSide -->

<?php

if ( 'right' == ak_theme_option('sidebar-pos') ) {
    get_sidebar();
}
get_footer();
