<?php
/**
 * Alkivia Chameleon.
 * Standard Header.
 *
 * @version		$Rev: 477 $
 * @author		Jordi Canals
 * @copyright   Copyright (C) 2009, 2010 Jordi Canals
 * @license		GNU General Public License version 2
 * @link		http://alkivia.org
 * @package		Alkivia
 * @subpackage	Chameleon
 *

	Copyright 2009, 2010 Jordi Canals <devel@jcanals.cat>

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	version 2 as published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

require_once ( AK_LIB . '/themes.php');
ak_theme_redirect();

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<link rel="stylesheet" href="<?php echo get_stylesheet_uri(); ?>" type="text/css" media="screen" />

	<?php
	    $header_image = ak_theme_option('header-image');
	    if ( ak_theme_option('disable-header-image') || empty($header_image) ) {
	        $use_image = false;
	    } else {
            $use_image = true;

            $info = getimagesize(AK_UPLOAD_DIR . '/' . $header_image);
			echo "
				<style type='text/css'>
					#header {
						background: url('" . AK_UPLOAD_URL . "/" . $header_image . "');
						height: {$info[1]}px;
					}
				</style>
				";
	    }

		wp_head();
	?>

	<title><?php // Blog name displays last for SEO.
		if ( is_home() ) {
			bloginfo('description');
			echo ' -  ';
		} else {
		    wp_title('-', true, 'right');
		}
		bloginfo('name');
	?></title>
</head>

<body>

<div id="template">
	<div id="header" onclick="location.href='<?php bloginfo('url'); ?>';" style="cursor: pointer;">
		<?php
		$head_text = '<div id="head-title">' . get_bloginfo('name') . '</div><div id="head-description">' . get_bloginfo('description') . '</div>';
		if ( $use_image ) {
			if ( ak_theme_option('disable-header-title') ) {
				$head_text = '';
			}
		}
		echo apply_filters('ak_chameleon_header', $head_text);
		?>
	</div>

	<div id="menu">
		<?php
			echo apply_filters('ak_chameleon_menubar', ak_chameleon_menubar());
		?>
	</div>

<div id="content">
