<?php
/**
 * Alkivia Chameleon.
 * Page for image attachments.
 *
 * @version		$Rev: 909 $
 * @author		Jordi Canals
 * @copyright   Copyright (C) 2009, 2010 Jordi Canals
 * @license		GNU General Public License version 2
 * @link		http://alkivia.org
 * @package		Alkivia
 * @subpackage	Chameleon
 *

	Copyright 2009, 2010 Jordi Canals <devel@jcanals.cat>

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	version 2 as published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

get_header();
if ( 'left' == ak_theme_option('sidebar-pos') && ! ak_theme_option('big-images') ) {
    get_sidebar();
}


if ( ak_theme_option('big-images') ) { ?>
	<div id="no-sidebar">
<?php } else { ?>
	<div id="blogside">
<?php  }

	if (have_posts()) :
		while (have_posts()) :
			the_post();
            $attachments = get_children( array('post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image') );
            if ( 1 < count($attachments) ) : ?>
				<div class="navigator">
					<div class="navleft"><?php previous_image_link(false, __('&laquo; Previous Image', 'aktheme')); ?></div>
					<div class="navright"><?php next_image_link(false, __('Next Image &raquo;', 'aktheme')); ?></div>
				</div>
			<?php endif; ?>

			<div class="post" id="post-<?php the_ID(); ?>">
				<div class="post-title"><?php the_title(); ?></div>
				<div class="datetime">
			        <?php ( ak_theme_option('author-pages') ) ? the_author_posts_link() : the_author(); ?> |
			        <?php echo mysql2date(get_option('date_format') , $post->post_date); ?> |
			        <?php echo mysql2date(get_option('time_format'), $post->post_date); ?> |
			        <a href="<?php echo get_permalink($post->post_parent); ?>" rev="attachment"><?php echo get_the_title($post->post_parent); ?></a>
				</div>
				<div class="post-content">
					<p class="image-attachment"><?php
					    $image = wp_get_attachment_image_src($post->ID, 'large');
					    if ( $image ) {
					        list($src, $a_width, $a_height) = $image;

					        if ( $a_width > $a_height ) {
                                $widht = ( ak_theme_option('big-images') ) ? 900 : 580;
                                $height = intval ( $a_height * $widht / $a_width );
					        } else {
					            $height = ( ak_theme_option('big-images') ) ? 600 : 480;
					            $width = intval ( $a_width * $height / $a_height );
					        }
                            ?>

                            <img src="<?php echo $src; ?>"
                            	 width="<?php echo $widht; ?>" height="<?php echo $height; ?>"
                            	 alt="<?php echo trim($post->post_excerpt); ?>"
                            	 title="<?php echo trim($post->post_title); ?>"
                            	 class="centered attachment-large" />
                        <?php } ?>
					</p>
					<div class="image-caption"><?php if ( !empty($post->post_excerpt) ) the_excerpt(); ?></div>
					<?php the_content(__('Read more', 'aktheme') . ' &raquo;'); ?>
					<?php wp_link_pages(); ?>
				</div>

				<div class="post-info">
					<div class="info-right"><?php
					    edit_post_link(__('Edit Page', 'aktheme'), '<span class="info-link">', '</span>');

					    if ( function_exists('sociable_html') && ak_theme_option('sociable-plugin') ) {
                            echo sociable_html();
                        }
					?></div>
				</div>
			</div>
		<?php endwhile;

		comments_template();
	endif; ?>

</div> <!-- End BlogSide -->

<?php /* ?>
				<div class="navigation">
					<div class="alignleft"><?php previous_image_link() ?></div>
					<div class="alignright"><?php next_image_link() ?></div>
				</div>
				<br class="clear" />

				<p class="postmetadata alt">
					<small>
						This entry was posted on <?php the_time('l, F jS, Y') ?> at <?php the_time() ?>
						and is filed under <?php the_category(', ') ?>.
						<?php the_taxonomies(); ?>
						You can follow any responses to this entry through the <?php post_comments_feed_link('RSS 2.0'); ?> feed.

						<?php if ( comments_open() && pings_open() ) {
							// Both Comments and Pings are open ?>
							You can <a href="#respond">leave a response</a>, or <a href="<?php trackback_url(); ?>" rel="trackback">trackback</a> from your own site.

						<?php } elseif ( !comments_open() && pings_open() ) {
							// Only Pings are Open ?>
							Responses are currently closed, but you can <a href="<?php trackback_url(); ?> " rel="trackback">trackback</a> from your own site.

						<?php } elseif ( comments_open() && !pings_open() ) {
							// Comments are open, Pings are not ?>
							You can skip to the end and leave a response. Pinging is currently not allowed.

						<?php } elseif ( !comments_open() && !pings_open() ) {
							// Neither Comments, nor Pings are open ?>
							Both comments and pings are currently closed.

						<?php } edit_post_link('Edit this entry.','',''); ?>

					</small>
				</p>

			</div>

		</div>

	<?php comments_template(); ?>

	<?php endwhile; else: ?>

		<p>Sorry, no attachments matched your criteria.</p>

<?php endif; ?>

	</div>

<?php /**/ ?>

<?php
if ( 'right' == ak_theme_option('sidebar-pos') && ! ak_theme_option('big-images') ) {
    get_sidebar();
}
get_footer();
