<?php
/**
 * Alkivia Chameleon.
 * Settings Admin.
 *
 * @version		$Rev: 898 $
 * @author		Jordi Canals
 * @copyright   Copyright (C) 2009, 2010 Jordi Canals
 * @license		GNU General Public License version 2
 * @link		http://alkivia.org
 * @package		Alkivia
 * @subpackage	Chameleon
 *

	Copyright 2009, 2010 Jordi Canals <devel@jcanals.cat>

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	version 2 as published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// File cannot be called directly
if ( ! defined('AK_FRAMEWORK') ) {
	die (); // Silence is gold.
}

// TODO: Allow to disable entire sections.

require_once ( AK_LIB . '/filesystem.php' );
require_once ( AK_LIB .'/formating.php' );

$palettes = ak_chameleon_palettes();
$settings = ak_theme_option();

if ( 'POST' == $_SERVER['REQUEST_METHOD'] ) {
	check_admin_referer('chameleon-theme-settings');

	if ( isset($_POST['action']) && 'update' == $_POST['action'] && isset($_POST['settings']) ) {

	    $settings = stripslashes_deep($_POST['settings']);
	    $settings = array_merge($this->defaultOptions(), $settings);
		$settings['header-image'] = $this->getOption('header-image');

	    // Upload the header file
		include_once ( AK_VENDOR . '/upload/class.upload.php');

		if ( isset($_FILES['header-file']) ) {
		    $handle = new akUpload($_FILES['header-file'], 'aktheme');
			if ( $handle->uploaded ) {
				$handle->image_resize	= true;
				$handle->image_ratio_y	= true;
				$handle->image_x        = 972;

				$handle->file_overwrite		= true;
				$handle->file_auto_rename	= false;
				$handle->file_new_name_body	= 'theme_head';
				$handle->image_convert		= 'jpg';

				$handle->Process(AK_UPLOAD_DIR);
				if ( $handle->processed ) {
                    $settings['header-image'] = 'theme_head.jpg';
				} else {
					ak_admin_notify(__('Error', 'aktheme') . ': ' . $handle->error);
				}

				// Process a miniature for this image. This is a banner width image
				$handle->image_resize	= true;
				$handle->image_ratio_y	= true;
				$handle->image_x        = 468;

				$handle->file_overwrite		= true;
				$handle->file_auto_rename	= false;
				$handle->file_new_name_body	= 'theme_head_thumb';
				$handle->image_convert		= 'jpg';

				$handle->Process(AK_UPLOAD_DIR);
				if ( ! $handle->processed ) {
					ak_admin_notify(__('Error creating thumbnail', 'aktheme') . ': ' . $handle->error);
				}
			}
		}

		$this->setNewOptions($settings);
        ak_admin_notify();

	} else { // Missing action or all settings disabled
		ak_admin_error('Bad form received or no settings to save.', 'aktheme');
	}
}
?>

<div class="wrap">
	<div id="icon-chameleon-admin" class="icon32"></div>
	<h2><?php _e('Chameleon Theme Settings', 'aktheme') ?></h2>

	<table id="akmin">
	<tr>
		<td class="content">
			<form method="post" enctype="multipart/form-data" action="themes.php?page=<?php echo $this->getSlug(); ?>">
			<?php wp_nonce_field('chameleon-theme-settings'); ?>
			<fieldset>

		<?php if ($this->allowAdmin('header-image', false) ) : ?>
			<dl>
				<dt><?php _e('Header Image', 'aktheme'); ?></dt>
				<dd>
					<table width="100%" class="form-table">
					<tr>
						<th scope="row"><?php _e('Disable image?', 'aktheme'); ?></th>
						<td>
						<?php if ( $this->allowAdmin('disable-header-image') ) : ?>
							<input type="checkbox" name="settings[disable-header-image]" value="1" <?php checked(1, $settings['disable-header-image']);?> /> <?php _e('Save uploaded image but don\'t use it in header.', 'aktheme')?><br />
							<span class="setting-description"><?php _e('This will force to display blog name and description.', 'aktheme')?></span>
						<?php endif; ?>
						</td>
					</tr>
					<?php if ( ! empty($settings['header-image']) && file_exists( AK_UPLOAD_DIR . '/theme_head_thumb.jpg') ) : ?>
					<tr>
						<th scope="row"><?php _e('Current header image:', 'aktheme') ?></th>
						<td><img src="<?php echo AK_UPLOAD_URL . '/theme_head_thumb.jpg?' . rand(); ?>" /></td>
					</tr>
					<?php endif; ?>
					<tr>
						<th scope="row"><label for="header-file"><?php _e('Upload new image:', 'aktheme') ?></label></th>
						<td>
							<input type="file" size="40" name="header-file" value="" /><br />
							<span class="setting-description"><?php _e('The uploaded image will be proportionally resized to 970 pixels wide', 'aktheme')?></span><br />
						<?php if ( $this->allowAdmin('disable-header-title', false) ) : ?>
							<input type="checkbox" name="settings[disable-header-title]" value="1" <?php checked(1, $settings['disable-header-title']);?> /> <?php _e('Use as foreground image. Hide site name and description.', 'aktheme')?><br />
							<span class="setting-description"><?php _e('Using it as background, will display blog name and description over this image.', 'aktheme')?></span>
						<?php endif; ?>
						</td>
					</tr>
					</table>
				</dd>
			</dl>
		<?php endif; ?>

			<dl>
				<dt><?php _e('Theme Layout', 'aktheme'); ?></dt>
				<dd>
					<table width="100%" class="form-table">
					<tr>
						<th scope="row"><?php _e('Home Page', 'aktheme') ?></th>
						<td>
						<?php if ( $this->allowAdmin('widgetized-home') ) : ?>
							<label for="settings[widgetized-home]"><input type="checkbox" name="settings[widgetized-home]" value="1" <?php checked(1, $settings['widgetized-home']);?> /> <?php  _e('Widgetize the  Home Page', 'aktheme'); ?></label>
						<?php endif; ?>
						</td>
					</tr>
					<tr>
						<th scope="row"><?php _e('Sidebar position:', 'aktheme') ?></th>
						<td>
						<?php if ( $this->allowAdmin('sidebar-pos') ) : ?>
						    <?php _e('Show sidebat at', 'aktheme'); ?>
							<select name="settings[sidebar-pos]">
								<option value="right"<?php selected('right', $settings['sidebar-pos']); ?>><?php _e('Right', 'aktheme')?>&nbsp;</option>
								<option value="left"<?php selected('left', $settings['sidebar-pos']); ?>><?php _e('Left', 'aktheme')?>&nbsp;</option>
							</select>
						<?php endif; ?>
						</td>
					</tr>
					<tr>
						<th scope="row"><?php _e('Disable search box?', 'aktheme'); ?></th>
						<td>
						<?php if ( $this->allowAdmin('disable-search-box') ) : ?>
							<input type="checkbox" name="settings[disable-search-box]" value="1" <?php checked(1, $settings['disable-search-box']);?> /> <?php _e('Hide search box from the sidebar.', 'aktheme')?>
						<?php endif; ?>
						</td>
					</tr>
					<tr>
						<th scope="row"><?php _e('Archives navigator:', 'aktheme') ?></th>
						<td>
						<?php if ( $this->allowAdmin('navbar-pos') ) : ?>
						    <?php _e('Show navigation bar at', 'aktheme'); ?>
							<select name="settings[navbar-pos]">
								<option value="bottom"<?php selected('bottom', $settings['navbar-pos']); ?>><?php _e('Bottom', 'aktheme')?>&nbsp;</option>
								<option value="top"<?php selected('top', $settings['navbar-pos']); ?>><?php _e('Top', 'aktheme')?>&nbsp;</option>
								<option value="both"<?php selected('both', $settings['navbar-pos']); ?>><?php _e('Both', 'aktheme')?>&nbsp;</option>
							</select>
						<?php endif; ?>
						</td>
					</tr>
					<tr>
						<th scope="row"><?php _e('Image attachments', 'aktheme') ?></th>
						<td>
						<?php if ( $this->allowAdmin('big-images') ) : ?>
							<label for="settings[big-images]"><input type="checkbox" name="settings[big-images]" value="1" <?php checked(1, $settings['big-images']);?> /> <?php  _e('Remove the sidebar on image attachment pages.', 'aktheme'); ?></label>
						<?php endif; ?>
						</td>
					</tr>
					</table>
				</dd>
			</dl>

			<dl>
				<dt><?php _e('Styles', 'aktheme')?></dt>
				<dd>
					<table width="100%" class="form-table">
					<tr>
						<th scope="row"><?php _e('Style palette:', 'aktheme') ?></th>
						<td>
						<?php if ( $this->allowAdmin('palette') ) : ?>
							<select name="settings[palette]">
							<?php foreach ($palettes as $style) {
								echo "<option value='{$style}'";
								selected($style, $settings['palette']);
								echo "> " . ucfirst($style) . "&nbsp;</option>";
							} ?>
							</select>
						<?php endif; ?>
						</td>
					</tr>
					<tr>
						<th scope="row"><?php _e('Users can switch styles?', 'aktheme') ?></th>
						<td>
						<?php if ( $this->allowAdmin('switch-styles') ) : ?>
							<input type="radio" name="settings[switch-styles]" value="1"<?php checked('1', $settings['switch-styles']); ?> /> <?php _e('Yes', 'aktheme'); ?> &nbsp;&nbsp;
							<input type="radio" name="settings[switch-styles]" value="0"<?php checked('0', $settings['switch-styles']); ?> /> <?php _e('No', 'aktheme'); ?>
						<?php endif; ?>
						</td>
					</tr>
					</table>
				</dd>
			</dl>

			<dl>
				<dt><?php _e('Menu Links', 'aktheme'); ?></dt>
				<dd>
					<table width="100%" class="form-table">


			<tr>
				<th scope="row"><?php _e('Menu Home Link?', 'aktheme') ?></th>
				<td>
				<?php if ( $this->allowAdmin('menu-home') ) : ?>
					<input type="radio" name="settings[menu-home]" value="1"<?php checked('1', $settings['menu-home']); ?> /> <?php _e('Yes', 'aktheme'); ?> &nbsp;&nbsp;
					<input type="radio" name="settings[menu-home]" value="0"<?php checked('0', $settings['menu-home']); ?> /> <?php _e('No', 'aktheme'); ?>
				<?php endif; ?>
				</td>
			</tr>
			<tr>
				<th scope="row"><?php _e('Show Categories??', 'aktheme') ?></th>
				<td>
				<?php if ( $this->allowAdmin('menu-categories') ) : ?>
					<input type="radio" name="settings[menu-categories]" value="1"<?php checked('1', $settings['menu-categories']); ?> /> <?php _e('Yes', 'aktheme'); ?> &nbsp;&nbsp;
					<input type="radio" name="settings[menu-categories]" value="0"<?php checked('0', $settings['menu-categories']); ?> /> <?php _e('No', 'aktheme'); ?> &nbsp;&nbsp;
					<?php _e('Menu Title:', 'aktheme'); ?>
					<?php if ( $this->allowAdmin('menu-categories-title') ) : ?>
						<input type="text" name="settings[menu-categories-title]" value="<?php echo $settings['menu-categories-title']; ?>" />
					<?php endif; ?>
				<?php endif; ?>
				</td>
			</tr>
			<tr>
				<th scope="row"><?php _e('Category Menus:', 'aktheme') ?></th>
				<td>
				<?php if ( $this->allowAdmin('menu-set-categories') ) : ?>
					<input type="text" name="settings[menu-set-categories]" value="<?php echo $settings['menu-set-categories']; ?>" class="code" /><br />
					<span class="setting-description"><?php _e('A comma delimited list for all categories you want a menu of. Ex. "1, 9, 24".', 'aktheme')?></span><br />
				<?php endif; ?>
				</td>
			</tr>
			<tr>
				<th scope="row"><?php _e('Exclude Pages:', 'aktheme') ?></th>
				<td>
				<?php if ( $this->allowAdmin('menu-exclude-pages') ) : ?>
					<input type="text" name="settings[menu-exclude-pages]" value="<?php echo $settings['menu-exclude-pages']; ?>" class="code" /><br />
					<span class="setting-description"><?php _e('A comma delimited list for all pages you want to exclude from main menu. Ex. "3, 7, 12".', 'aktheme')?></span><br />
				<?php endif; ?>
				</td>
			</tr>
			<tr>
				<th scope="row"><?php _e('Menu Login/Logout Link?', 'aktheme') ?></th>
				<td>
				<?php if ( $this->allowAdmin('menu-login') ) : ?>
					<input type="radio" name="settings[menu-login]" value="1"<?php checked('1', $settings['menu-login']); ?> /> <?php _e('Yes', 'aktheme'); ?> &nbsp;&nbsp;
					<input type="radio" name="settings[menu-login]" value="0"<?php checked('0', $settings['menu-login']); ?> /> <?php _e('No', 'aktheme'); ?>
				<?php endif; ?>
				</td>
			</tr>
			<tr>
				<th scope="row"><?php _e('Menu Admin/Register Link?', 'aktheme') ?></th>
				<td>
				<?php if ( $this->allowAdmin('menu-admin') ) : ?>
					<input type="radio" name="settings[menu-admin]" value="1"<?php checked('1', $settings['menu-admin']); ?> /> <?php _e('Yes', 'aktheme'); ?> &nbsp;&nbsp;
					<input type="radio" name="settings[menu-admin]" value="0"<?php checked('0', $settings['menu-admin']); ?> /> <?php _e('No', 'aktheme'); ?>
				<?php endif; ?>
				</td>
			</tr>
			</table>
				</dd>
			</dl>

			<dl>
				<dt><?php _e('Footer', 'aktheme'); ?></dt>
				<dd>
					<table width="100%" class="form-table">
					<tr>
						<th scope="row"><?php _e('Footer Text:', 'aktheme') ?></th>
						<td>
						<?php if ( $this->allowAdmin('footer-text') ) : ?>
							<textarea rows="4" cols="80" name="settings[footer-text]"><?php echo $settings['footer-text']; ?></textarea>
						<?php endif; ?>
						</td>
					</tr>
					</table>
				</dd>
			</dl>

			<dl>
				<dt><?php _e('Other Options', 'aktheme'); ?></dt>
				<dd>
					<table width="100%" class="form-table">
					<tr>
						<th scope="row"><?php _e('Disable post tags?', 'aktheme') ?></th>
						<td>
						<?php if ( $this->allowAdmin('disable-tags') ) : ?>
							<input type="radio" name="settings[disable-tags]" value="1"<?php checked('1', $settings['disable-tags']); ?> /> <?php _e('Yes', 'aktheme'); ?> &nbsp;&nbsp;
							<input type="radio" name="settings[disable-tags]" value="0"<?php checked('0', $settings['disable-tags']); ?> /> <?php _e('No', 'aktheme'); ?>
						<?php endif; ?>
						</td>
					</tr>
					<tr>
						<th scope="row"><?php _e('Enable author pages?', 'aktheme') ?></th>
						<td>
						<?php if ( $this->allowAdmin('author-pages') ) : ?>
							<input type="radio" name="settings[author-pages]" value="1"<?php checked('1', $settings['author-pages']); ?> /> <?php _e('Yes', 'aktheme'); ?> &nbsp;&nbsp;
							<input type="radio" name="settings[author-pages]" value="0"<?php checked('0', $settings['author-pages']); ?> /> <?php _e('No', 'aktheme'); ?>
						<?php endif; ?>
						</td>
					</tr>
					<tr>
						<th scope="row"><?php _e('Enable self pings?', 'aktheme') ?></th>
						<td>
						<?php if ( $this->allowAdmin('enable-selfping') ) : ?>
							<input type="radio" name="settings[enable-selfping]" value="1"<?php checked('1', $settings['enable-selfping']); ?> /> <?php _e('Yes', 'aktheme'); ?> &nbsp;&nbsp;
							<input type="radio" name="settings[enable-selfping]" value="0"<?php checked('0', $settings['enable-selfping']); ?> /> <?php _e('No', 'aktheme'); ?>
						<?php endif; ?>
						</td>
					</tr>
					<tr>
						<th scope="row"><?php _e('Comments on pages?', 'aktheme') ?></th>
						<td>
						<?php if ( $this->allowAdmin('allow-page-comments') ) : ?>
							<input type="radio" name="settings[allow-page-comments]" value="1"<?php checked('1', $settings['allow-page-comments']); ?> /> <?php _e('Yes', 'aktheme'); ?> &nbsp;&nbsp;
							<input type="radio" name="settings[allow-page-comments]" value="0"<?php checked('0', $settings['allow-page-comments']); ?> /> <?php _e('No', 'aktheme'); ?>
						<?php endif; ?>
						</td>
					</tr>
					</table>
				</dd>
			</dl>

			<dl>
				<dt><?php _e('Miscellaneous', 'aktheme'); ?></dt>
				<dd>
					<table width="100%" class="form-table">
					<tr>
						<th scope="row"><?php _e('Credits', 'aktheme') ?></th>
						<td>
						<?php if ( $this->allowAdmin('hide-theme-credits') ) : ?>
							<label for="settings[hide-theme-credits]"><input type="checkbox" name="settings[hide-theme-credits]" value="1" <?php checked(1, $settings['hide-theme-credits']);?> /> <?php  _e('Disable public theme credits', 'aktheme'); ?></label><br />
						<?php endif; ?>
						</td>
					</tr>
					<tr>
						<th scope="row"><?php _e('Plugins', 'aktheme') ?></th>
						<td>
						<?php if ( $this->allowAdmin('sociable-plugin') ) : ?>
							<label for="settings[sociable-plugin]"><input type="checkbox" name="settings[sociable-plugin]" value="1" <?php checked(1, $settings['sociable-plugin']);?> /> <?php  printf(__('Integrate <a href="%s" target="_blank">Sociable plugin</a>.', 'aktheme'), 'http://wordpress.org/extend/plugins/sociable/'); ?></label>
						<?php endif; ?>
						</td>
					</tr>
					</table>
				</dd>
			</dl>

			<?php do_action('ak_chameleon_admin_form'); ?>

			<p class="submit">
				<input type="hidden" name="action" value="update" />
				<input type="submit" name="Submit" value="<?php _e('Save Changes', 'aktheme') ?>" class="button-primary" />
			</p>
		</fieldset>
		</form>

		<?php ak_admin_footer('theme', 2009); ?>

		</td>
		<td class="sidebar">
			<?php ak_admin_authoring('theme'); ?>
		</td>
	</tr>
	</table>
</div>
