<?php
/**
 * Alkivia Chameleon.
 * Manages the loop for home and archives.
 *
 * @version		$Rev: 477 $
 * @author		Jordi Canals
 * @copyright   Copyright (C) 2009, 2010 Jordi Canals
 * @license		GNU General Public License version 2
 * @link		http://alkivia.org
 * @package		Alkivia
 * @subpackage	Chameleon
 *

	Copyright 2009, 2010 Jordi Canals <devel@jcanals.cat>

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	version 2 as published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

if ( 'bottom' != ak_theme_option('navbar-pos') ) {
    ak_chameleon_navigator();
}

	while ( have_posts() ) :
		the_post();

		$post_class = ( is_home() && is_sticky() ) ? 'sticky-post' : 'post loop-post';
?>

		<div class="<?php echo $post_class ?>" id="post-<?php echo $post->ID?>">
			<div class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></div>
			<div class="datetime">
			    <?php ( ak_theme_option('author-pages') ) ? the_author_posts_link() : the_author(); ?> |
			    <?php echo mysql2date(get_option('date_format') , $post->post_date); ?> |
			    <?php echo mysql2date(get_option('time_format'), $post->post_date); ?> | <?php the_category(', '); ?> |
				<?php
					if ( 'closed' == $post->comment_status && 'closed' != $post->ping_status ) :
						$comments = __('Only Pings', 'aktheme');
					else :
						$comments = __('No comments', 'aktheme');
					endif;
					comments_popup_link($comments, __('1 Comment', 'aktheme'), __('% Comments', 'aktheme'), 'info-link', __('Comments closed', 'aktheme'));
				?><br /></div>

			<div class="post-content">
				<?php the_content(__('Read more', 'aktheme') . ' &raquo;'); ?>
			</div>

			<div class="post-info">
				<div class="info-right"><?php
				    edit_post_link(__('Edit Post', 'aktheme'), '<span class="info-link">', '</span>');

				    if ( function_exists('sociable_html') && ak_theme_option('sociable-plugin') ) {
                        echo sociable_html();
                    }
				?></div>

			</div> <!-- End PostInfo -->
		</div> <!-- End Post -->
	<?php endwhile;

if ( 'top' != ak_theme_option('navbar-pos') ) {
	ak_chameleon_navigator('bottom-navigator');
}
