<?php
/**
 * Alkivia Chameleon.
 * Page SideBar.
 *
 * @version		$Rev: 477 $
 * @author		Jordi Canals
 * @copyright   Copyright (C) 2009, 2010 Jordi Canals
 * @license		GNU General Public License version 2
 * @link		http://alkivia.org
 * @package		Alkivia
 * @subpackage	Chameleon
 *

	Copyright 2009, 2010 Jordi Canals <devel@jcanals.cat>

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	version 2 as published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

$sb_top    = ak_theme_is_sidebar('wide_top');
$sb_left   = ak_theme_is_sidebar('narrow_left');
$sb_right  = ak_theme_is_sidebar('narrow_right');
$sb_bottom = ak_theme_is_sidebar('wide_bottom');
?>

<div id="sidebar">

<?php
    do_action('ak_chameleon_pre_sidebar');
?>

	<?php if ( ! ak_theme_option('disable-search-box') || $sb_top ) : ?>
	<div class="wide">
		<ul>
			<?php if ( ! ak_theme_option('disable-search-box') ) :?>
				<li class="widget widget_search">
					<form method="get" action="<?php bloginfo('url'); ?>/">
						<input type="text" class="string" value="<?php the_search_query(); ?>" name="s" id="s" />&nbsp;
						<input type="submit" name="submit" value="<?php _e('Search', 'aktheme')?>" />
					</form>
				</li>
			<?php endif; ?>
			<?php
			    if ( $sb_top ) {
				    dynamic_sidebar('wide_top');
			    }
			?>
		</ul>
	</div>
	<?php endif; ?>

	<?php if ( $sb_left ) : ?>
	<div id="narrow-left">
		<ul>
			<?php
			    dynamic_sidebar('narrow_left');
			?>
		</ul>
	</div>
	<?php endif; ?>

	<?php if ( $sb_right ) : ?>
	<div id="narrow-right">
		<ul>
			<?php
			    dynamic_sidebar('narrow_right');
			?>
		</ul>
	</div>
	<?php endif; ?>

	<?php if ( $sb_bottom ) : ?>
	<div class="wide">
		<ul>
			<?php
			    dynamic_sidebar('wide_bottom');
			?>
		</ul>
	</div>
	<?php endif; ?>

	<?php
	if ( ! ($sb_top || $sb_left || $sb_right || $sb_bottom ) ) {

		if ( STYLESHEETPATH !== TEMPLATEPATH && file_exists(STYLESHEETPATH . '/sidebar-default.php') ) {
            include (STYLESHEETPATH . '/sidebar-default.php');
		} else {
            include (TEMPLATEPATH . '/sidebar-default.php');
		}

	}

	do_action('ak_chameleon_post_sidebar');
	?>
</div>
