<?php
/**
 * Alkivia Chameleon.
 * Single post page.
 *
 * @version		$Rev: 477 $
 * @author		Jordi Canals
 * @copyright   Copyright (C) 2009, 2010 Jordi Canals
 * @license		GNU General Public License version 2
 * @link		http://alkivia.org
 * @package		Alkivia
 * @subpackage	Chameleon
 *

	Copyright 2009, 2010 Jordi Canals <devel@jcanals.cat>

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	version 2 as published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

    get_header();
	if ( 'left' == ak_theme_option('sidebar-pos') ) {
        get_sidebar();
	}
    ?>

<div id="blogside">
	<?php if (have_posts()) :
		ak_chameleon_navigator();

		while ( have_posts() ) :
			the_post(); ?>

			<div class="post" id="post-<?php echo $post->ID?>">
				<div class="post-title"><?php the_title(); ?></div>
			<div class="datetime">
			    <?php ( ak_theme_option('author-pages') ) ? the_author_posts_link() : the_author(); ?> |
			    <?php echo mysql2date(get_option('date_format') , $post->post_date); ?> |
			    <?php echo mysql2date(get_option('time_format'), $post->post_date); ?> | <?php the_category(', '); ?>
				<?php
					if ( ! ak_theme_option('disable-tags') ) {
					    echo '<br />';
				        the_tags();
				    }
				?></div>

				<div class="post-content">
					<?php the_content(__('Read more', 'aktheme') . ' &raquo;'); ?>
					<?php wp_link_pages(); ?>
				</div>

				<div class="post-info">
					<div class="info-right"><?php
					    edit_post_link(__('Edit Post', 'aktheme'), '<span class="info-link">', '</span>');

					    if ( function_exists('sociable_html') && ak_theme_option('sociable-plugin') ) {
                            echo sociable_html();
                        }
					?></div>
				</div> <!-- End PostInfo -->
			</div> <!-- End Post -->
		<?php endwhile;

		comments_template();

	else : ?>
		<h1><?php _e('No content found', 'aktheme'); ?></h1>
		<h1><?php _e("Sorry, you're looking for something that is not here.", 'aktheme'); ?></h1>
		<?php get_search_form(); ?>
	<?php endif; ?>
	<br />
</div> <!-- End Blogside -->

<?php
	if ( 'right' == ak_theme_option('sidebar-pos') ) {
        get_sidebar();
	}
	get_footer();
